STRUCT TEMPLATE D(3)

NAME
boost::interprocess::segment_manager::deleter

SYNOPSIS

// In header: <boost/interprocess/segment_manager.hpp>
template<typename T>
struct deleter {
  // types
  typedef boost::interprocess::deleter< T, segment_manager > type;
};

DESCRIPTION

This is the default deleter to delete types T from this managed segment.